var OpenEdge.Messaging.Kafka.KafkaConsumerBuilder cb.
var OpenEdge.Messaging.IConsumer consumer.
var OpenEdge.Messaging.IConsumerRecord record.
var OpenEdge.Core.String messageBody.

cb = cast(OpenEdge.Messaging.COnsumerBuilder:Create("progress-kafka"),
	OpenEdge.Messaging.Kafka.KafkaConsumerBuilder).
cb:SetBootstrapServers("localhost:9092").
cb:SetGroupId("my.consumer.group").
cb:SetClientId("my.consumer.client").
cb:SetBodyDeserializer(new OpenEdge.Messaging.StringDeserializer()).
cb:AddSubscription("mytopic").
consumer = cb:Build().

repeat while true:
	record = consumer:Poll(1000).
	if valid-object(record)
	then do:
		messageBody = cast(record:Body, OpenEdge.Core.String).
		message string(messageBody:Value).
	end.
end.
