var OpenEdge.Messaging.RecordBuilder recordBuilder.
var OpenEdge.Messaging.Kafka.KafkaProducerBuilder pb.
var OpenEdge.Messaging.IProducer producer.
var OpenEdge.Messaging.IProducerRecord record.
var OpenEdge.Messaging.ISendResponse response.

pb = cast(OpenEdge.Messaging.ProducerBuilder:Create("progress-kafka"), 
	OpenEdge.Messaging.Kafka.KafkaProducerBuilder).
pb:SetBootstrapServers("localhost:9092").
pb:SetBodySerializer(new OpenEdge.Messaging.StringSerializer()).
producer = pb:Build().

recordBuilder = producer:RecordBuilder.
recordBuilder:SetTopicName("my-test-topic").
recordBuilder:SetBody("This is my message body").
record = recordBuilder:Build().
response = producer:Send(record).
